Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.result
Class SingleBenchmarkResult

    java.lang.Object
      org.optaplanner.benchmark.impl.result.SingleBenchmarkResult

    public class SingleBenchmarkResult

extends Object

Represents 1 benchmark for 1 `Solver` configuration for 1 problem instance (data set).

Constructor Summary
`SingleBenchmarkResult(SolverBenchmarkResult solverBenchmarkResult, ProblemBenchmarkResult problemBenchmarkResult)`

Method Summary
`void` | `accumulateResults(BenchmarkReport benchmarkReport)`
`protected static SingleBenchmarkResult` | `createMerge(SolverBenchmarkResult solverBenchmarkResult, ProblemBenchmarkResult problemBenchmarkResult, SingleBenchmarkResult oldResult)`
`Long` | `getAverageCalculateCountPerSecond()`
`File` | `getBenchmarkReportDirectory()`
`long` | `getCalculateCount()`
`Map<StatisticType,SingleStatistic>` | `getEffectiveSingleStatisticMap()`
`String` | `getName()`
`ProblemBenchmarkResult` | `getProblemBenchmarkResult()`
`List<PureSingleStatistic>` | `getPureSingleStatisticList()`
`Integer` | `getRanking()`
`Score` | `getScore()`
`File` | `getSingleReportDirectory()`
`String` | `getSingleReportDirectoryPath()`
`SingleStatistic` | `getSingleStatistic(StatisticType statisticType)`
`SolverBenchmarkResult` | `getSolverBenchmarkResult()`
`Boolean` | `getSucceeded()`
`long` | `getTimeMillisSpent()`
`Long` | `getUsedMemoryAfterInputSolution()`
`Score` | `getWinningScoreDifference()`
`ScoreDifferencePercentage` | `getWorstScoreDifferencePercentage()`
`void` | `initSingleStatisticMap()`
`boolean` | `isFailure()`
`boolean` | `isScoreFeasible()`
`boolean` | `isSuccess()`
`boolean` | `isWinner()`
`void` | `makeDirs(File problemReportDirectory)`
`void` | `setCalculateCount(long calculateCount)`
`void` | `setProblemBenchmarkResult(ProblemBenchmarkResult problemBenchmarkResult)`
`void` | `setPureSingleStatisticList(List<PureSingleStatistic> pureSingleStatisticList)`
`void` | `setRanking(Integer ranking)`
`void` | `setScore(Score score)`
`void` | `setSolverBenchmarkResult(SolverBenchmarkResult solverBenchmarkResult)`
`void` | `setSucceeded(Boolean succeeded)`
`void` | `setTimeMillisSpent(long timeMillisSpent)`
`void` | `setUsedMemoryAfterInputSolution(Long usedMemoryAfterInputSolution)`
`void` | `setWinningScoreDifference(Score winningScoreDifference)`
`void` | `setWorstScoreDifferencePercentage(ScoreDifferencePercentage worstScoreDifferencePercentage)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleBenchmarkResult

    public SingleBenchmarkResult(SolverBenchmarkResult solverBenchmarkResult,
                                 ProblemBenchmarkResult problemBenchmarkResult)

Method Detail

### getPureSingleStatisticList

    public List<PureSingleStatistic> getPureSingleStatisticList()

### setPureSingleStatisticList

    public void setPureSingleStatisticList(List<PureSingleStatistic> pureSingleStatisticList)

### initSingleStatisticMap

    public void initSingleStatisticMap()

### getSolverBenchmarkResult

    public SolverBenchmarkResult getSolverBenchmarkResult()

### setSolverBenchmarkResult

    public void setSolverBenchmarkResult(SolverBenchmarkResult solverBenchmarkResult)

### getProblemBenchmarkResult

    public ProblemBenchmarkResult getProblemBenchmarkResult()

### setProblemBenchmarkResult

    public void setProblemBenchmarkResult(ProblemBenchmarkResult problemBenchmarkResult)

### getEffectiveSingleStatisticMap

    public Map<StatisticType,SingleStatistic> getEffectiveSingleStatisticMap()

### getUsedMemoryAfterInputSolution

    public Long getUsedMemoryAfterInputSolution()

  Returns:
    null if `PlannerBenchmarkResult.hasMultipleParallelBenchmarks()` return true

### setUsedMemoryAfterInputSolution

    public void setUsedMemoryAfterInputSolution(Long usedMemoryAfterInputSolution)

### getSucceeded

    public Boolean getSucceeded()

### setSucceeded

    public void setSucceeded(Boolean succeeded)

### getScore

    public Score getScore()

### setScore

    public void setScore(Score score)

### getTimeMillisSpent

    public long getTimeMillisSpent()

### setTimeMillisSpent

    public void setTimeMillisSpent(long timeMillisSpent)

### getCalculateCount

    public long getCalculateCount()

### setCalculateCount

    public void setCalculateCount(long calculateCount)

### getWinningScoreDifference

    public Score getWinningScoreDifference()

### setWinningScoreDifference

    public void setWinningScoreDifference(Score winningScoreDifference)

### getWorstScoreDifferencePercentage

    public ScoreDifferencePercentage getWorstScoreDifferencePercentage()

### setWorstScoreDifferencePercentage

    public void setWorstScoreDifferencePercentage(ScoreDifferencePercentage worstScoreDifferencePercentage)

### getRanking

    public Integer getRanking()

### setRanking

    public void setRanking(Integer ranking)

### getName

    public String getName()

  Returns:
    never null, filename safe

### getBenchmarkReportDirectory

    public File getBenchmarkReportDirectory()

### isSuccess

    public boolean isSuccess()

### isFailure

    public boolean isFailure()

### isScoreFeasible

    public boolean isScoreFeasible()

### getAverageCalculateCountPerSecond

    public Long getAverageCalculateCountPerSecond()

### isWinner

    public boolean isWinner()

### getSingleStatistic

    public SingleStatistic getSingleStatistic(StatisticType statisticType)

### getSingleReportDirectoryPath

    public String getSingleReportDirectoryPath()

### getSingleReportDirectory

    public File getSingleReportDirectory()

### makeDirs

    public void makeDirs(File problemReportDirectory)

### accumulateResults

    public void accumulateResults(BenchmarkReport benchmarkReport)

### createMerge

    protected static SingleBenchmarkResult createMerge(SolverBenchmarkResult solverBenchmarkResult,
                                                       ProblemBenchmarkResult problemBenchmarkResult,
                                                       SingleBenchmarkResult oldResult)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.